
use builtin;
use str;

set edit:completion:arg-completer[wpaperd] = {|@words|
    fn spaces {|n|
        builtin:repeat $n ' ' | str:join ''
    }
    fn cand {|text desc|
        edit:complex-candidate $text &display=$text' '(spaces (- 14 (wcswidth $text)))$desc
    }
    var command = 'wpaperd'
    for word $words[1..-1] {
        if (str:has-prefix $word '-') {
            break
        }
        set command = $command';'$word
    }
    var completions = [
        &'wpaperd'= {
            cand -c 'Path to the configuration (XDG_CONFIG_HOME/wpaperd/config.toml by default)'
            cand --config 'Path to the configuration (XDG_CONFIG_HOME/wpaperd/config.toml by default)'
            cand --notify 'Readiness fd used by wpaperd to signal that it has started correctly'
            cand -d 'Detach from the current terminal and run in the background'
            cand --daemon 'Detach from the current terminal and run in the background'
            cand -v 'Increase the verbosity of wpaperd'
            cand --verbose 'Increase the verbosity of wpaperd'
            cand -h 'Print help'
            cand --help 'Print help'
            cand -V 'Print version'
            cand --version 'Print version'
        }
    ]
    $completions[$command]
}
